## org.flexdock.docking.drag.effects
Class EffectsManager

    java.lang.Object
      org.flexdock.docking.drag.effects.EffectsManager

    public class EffectsManager

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`EffectsManager()`

Method Summary
`static DragPreview` `getPreview(Dockable dockable, DockingPort target)`
`static RubberBand` `getRubberBand()`
`static void` `prime()`
`static void` `setPreview(DragPreview preview)`
`DragPreview` `setPreview(java.lang.String implClass)`
`static void` `setRubberBand(RubberBand rubberBand)`
`static RubberBand` `setRubberBand(java.lang.String implClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EffectsManager

    public EffectsManager()

Method Detail

### prime

    public static void prime()

### getRubberBand

    public static RubberBand getRubberBand()

### getPreview

    public static DragPreview getPreview(Dockable dockable,
                                         DockingPort target)

### setRubberBand

    public static RubberBand setRubberBand(java.lang.String implClass)

### setRubberBand

    public static void setRubberBand(RubberBand rubberBand)

### setPreview

    public DragPreview setPreview(java.lang.String implClass)

### setPreview

    public static void setPreview(DragPreview preview)